Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Certificate Manager
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
          • Overview
          • GetChain
          • GetPrivateKey
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Certificate Manager Private CA API
  4. PrivateCaCertificateContent
  5. GetChain

Certificate Manager Private CA API, REST: PrivateCaCertificateContent.GetChain

Written by
Yandex Cloud
Updated at January 29, 2026
  • HTTP request
  • Path parameters
  • Response

Returns the certificate chain for the specified certificate.

HTTP requestHTTP request

GET https://private-ca.certificate-manager.api.cloud.yandex.net/privateca/v1/privateCertificates/{certificateId}:getChain

Path parametersPath parameters

Request message for GetChain.

Field

Description

certificateId

string

Required field. ID of the certificate to get the chain for.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "certificateId": "string",
  "certificateChain": [
    "string"
  ]
}

Response message containing the certificate chain.

Field

Description

certificateId

string

ID of the certificate.

certificateChain[]

string

The certificate chain in PEM format.

Was the article helpful?

Previous
Overview
Next
GetPrivateKey
© 2026 Direct Cursus Technology L.L.C.